package org.jaxb.test;

import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

@XmlType(name = "class_b")
public class ClassB {

    @XmlAnyElement
    public Element getDOMElement() {
        try {
            DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
            factory.setNamespaceAware(true);
            DocumentBuilder builder = factory.newDocumentBuilder();
            Document document = builder.newDocument();
            return document.createElementNS("http://www.example.com","class_x");
        } catch(Exception ex) {
            return null;
        }
    }
}
