import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.namespace.QName;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.jaxb.test.ClassA;
import org.jaxb.test.ClassB;
import org.jaxb.test.ClassC;
import org.jaxb.test.ClassD;

import org.junit.Test;

public class JAXB918Test {

    @Test
    public void test() throws JAXBException, ParserConfigurationException {
        JAXBContext ctx = JAXBContext.newInstance(ClassA.class);
        
        ClassA a = new ClassA();
        ClassB b = new ClassB();
        ClassC c = new ClassC();
        ClassD d = new ClassD();
        
        a.classB = b;
        a.classC = c;
        c.classD = d;
        d.attr = new QName("name");
        
        Marshaller m = ctx.createMarshaller();
        m.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
        m.marshal(a, System.out);
    }
}
